## kdegames-1.1.2.tar.bz2

=== ksame/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4a from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /opt/kde
exec_prefix = ${prefix}

bindir = /opt/kde/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/kdegames
pkglibdir = $(libdir)/kdegames
pkgincludedir = $(includedir)/kdegames

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
INSTALL_STRIP_FLAG =
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = i586-pc-linux-gnu
build_triplet = i586-pc-linux-gnu
host_alias = i586-pc-linux-gnu
host_triplet = i586-pc-linux-gnu
target_alias = i586-pc-linux-gnu
target_triplet = i586-pc-linux-gnu
AS = 
CC = gcc
CPP = gcc -E
CXX = g++
CXXCPP = @CXXCPP@
DLLTOOL = 
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = /usr/bin/msgfmt
IDL = @IDL@
KDE_EXTRA_RPATH = 
KDE_INCLUDES = -I/opt/kde/include
KDE_LDFLAGS = -L/opt/kde/lib
KDE_RPATH = -rpath $(kde_libraries) -rpath $(x_libraries)
LD = /usr/bin/ld
LIBCOMPAT = 
LIBCRYPT = -lcrypt
LIBDL = @LIBDL@
LIBJPEG = -ljpeg
LIBKHTMLW = -lkhtmlw -ljscript
LIBMICO = @LIBMICO@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBPYTHON = @LIBPYTHON@
LIBQIMGIO = @LIBQIMGIO@
LIBSOCKET = 
LIBTIFF = @LIBTIFF@
LIBTOOL = $(SHELL) $(top_builddir)/libtool --silent
LIBUCB = 
LIBZ = -lz
LIB_KAB = -lkab $(LIB_KIMGIO) $(LIB_KDECORE)
LIB_KDECORE = -lkdecore -lXext $(LIB_QT)
LIB_KDEUI = -lkdeui $(LIB_KDECORE)
LIB_KDEUTIL = @LIB_KDEUTIL@
LIB_KFILE = -lkfile $(LIB_KFM) $(LIB_KDEUI)
LIB_KFM = -lkfm $(LIB_KDECORE)
LIB_KHTML = @LIB_KHTML@
LIB_KHTMLW = @LIB_KHTMLW@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_MEDIATOOL = -lmediatool $(LIB_KDECORE)
LIB_QT = -lqt $(LIB_X11)
LIB_X11 = -lX11 $(LIBSOCKET)
LN_S = ln -s
MAKEINFO = /usr/local/data/v1/kde/kdegames/admin/missing makeinfo
MICO_INCLUDES = @MICO_INCLUDES@
MICO_LDFLAGS = @MICO_LDFLAGS@
MOC = /usr/bin/moc
MSGFMT = /usr/bin/msgfmt
NM = /usr/bin/nm -B
PACKAGE = kdegames
PAMINC = @PAMINC@
PAMLIBPATHS = @PAMLIBPATHS@
PAMLIBS = @PAMLIBS@
PYTHONINC = @PYTHONINC@
PYTHONLIB = @PYTHONLIB@
QT_INCLUDES = -I/usr/include/qt
QT_LDFLAGS = 
RANLIB = ranlib
TOPSUBDIRS =  kabalone kasteroids kblackbox kmahjongg kmines konquest kpat kpoker kreversi ksame kshisen ksirtet ksmiletris ksnake ksokoban po
USE_NLS = yes
VERSION = 1.1
XGETTEXT = /usr/bin/xgettext
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_EXTRA_LIBS = 
X_INCLUDES = 
X_LDFLAGS = -L/usr/X11R6/lib
all_includes = -I/opt/kde/include -I/usr/include/qt  
all_libraries = -L/opt/kde/lib  -L/usr/X11R6/lib
install_root = 
kde_appsdir = /opt/kde/share/applnk
kde_bindir = /opt/kde/bin
kde_cgidir = /opt/kde/cgi-bin
kde_confdir = /opt/kde/share/config
kde_datadir = /opt/kde/share/apps
kde_htmldir = /opt/kde/share/doc/HTML
kde_icondir = /opt/kde/share/icons
kde_includes = /opt/kde/include
kde_libraries = /opt/kde/lib
kde_locale = /opt/kde/share/locale
kde_mimedir = /opt/kde/share/mimelnk
kde_minidir = /opt/kde/share/icons/mini
kde_partsdir = /opt/kde/parts
kde_sounddir = /opt/kde/share/sounds
kde_toolbardir = /opt/kde/share/toolbar
kde_wallpaperdir = /opt/kde/share/wallpapers
qt_includes = /usr/include/qt
qt_libraries = 
topdir = /usr/local/data/v1/kde/kdegames
x_includes = .
x_libraries = /usr/X11R6/lib

bin_PROGRAMS = ksame
INCLUDES = $(all_includes)
LDFLAGS = $(all_libraries) $(KDE_RPATH)
ksame_LDADD = $(LIB_KDEUI) 

ksame_SOURCES = main.cpp StoneWidget.cpp KSameWidget.cpp HighScore.cpp
METASOURCES = StoneWidget.moc KSameWidget.moc HighScore.moc

noinst_HEADERS = StoneWidget.h KSameWidget.h HighScore.h version.h

appsdir = $(kde_appsdir)/Games
picsdir = $(kde_datadir)/ksame/pics

kde_icon_DATA = ksame.xpm

pics_DATA = stones.gif stones_mask.gif
apps_DATA = ksame.kdelnk

SUBDIRS = docs

EXTRA_DIST = $(pics_DATA) $(apps_DATA) ksame.xpm mini-ksame.xpm
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I..
CPPFLAGS = 
LIBS = 
ksame_OBJECTS =  main.o StoneWidget.o KSameWidget.o HighScore.o
ksame_DEPENDENCIES = 
ksame_LDFLAGS = 
CXXFLAGS = -O2 -Wall
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@
DATA =  $(apps_DATA) $(kde_icon_DATA) $(pics_DATA)

HEADERS =  $(noinst_HEADERS)

DIST_COMMON =  ChangeLog Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
DEP_FILES =  .deps/HighScore.P .deps/KSameWidget.P .deps/StoneWidget.P \
.deps/main.P
SOURCES = $(ksame_SOURCES)
OBJECTS = $(ksame_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .cpp .lo .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu ksame/Makefile
	cd $(top_srcdir) && perl admin/automoc ksame/Makefile.in

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	    $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

ksame: $(ksame_OBJECTS) $(ksame_DEPENDENCIES)
	@rm -f ksame
	$(CXXLINK) $(ksame_LDFLAGS) $(ksame_OBJECTS) $(ksame_LDADD) $(LIBS)
.cpp.o:
	$(CXXCOMPILE) -c $<
.cpp.lo:
	$(LTCXXCOMPILE) -c $<

install-appsDATA: $(apps_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(appsdir)
	@list='$(apps_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(appsdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(appsdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(appsdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(appsdir)/$$p; \
	  fi; fi; \
	done

uninstall-appsDATA:
	@$(NORMAL_UNINSTALL)
	list='$(apps_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(appsdir)/$$p; \
	done

install-kde_iconDATA: $(kde_icon_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)
	@list='$(kde_icon_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(kde_icondir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(kde_icondir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(kde_icondir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(kde_icondir)/$$p; \
	  fi; fi; \
	done

uninstall-kde_iconDATA:
	@$(NORMAL_UNINSTALL)
	list='$(kde_icon_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(kde_icondir)/$$p; \
	done

install-picsDATA: $(pics_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(picsdir)
	@list='$(pics_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(picsdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(picsdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(picsdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(picsdir)/$$p; \
	  fi; fi; \
	done

uninstall-picsDATA:
	@$(NORMAL_UNINSTALL)
	list='$(pics_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(picsdir)/$$p; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.



all-recursive install-data-recursive install-exec-recursive \
installdirs-recursive install-recursive uninstall-recursive  \
check-recursive installcheck-recursive info-recursive dvi-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	rev=''; list='$(SUBDIRS)'; for subdir in $$list; do \
	  rev="$$subdir $$rev"; \
	  test "$$subdir" = "." && dot_seen=yes; \
	done; \
	test "$$dot_seen" = "no" && rev=". $$rev"; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

=== debian/changelog ===
kdegames (4:1.1.2-19990906-1) unstable; urgency=low

  * new upstream version 

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 06 Sep 1999 22:30:55 -0400

kdegames (4:1.1.1-19990701-1) unstable; urgency=low     

  * new upstream version from CVS
  * This is pre-1.1.2 (frozen)

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 01 Jul 1999 23:45:55 -0400

kdegames (4:1.1.1-19990624-1) unstable; urgency=low

  * new upstream version from CVS
  * Adding a dh_clean to rules script

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 24 Jun 1999 05:15:55 -0400

kdegames (4:1.1.1-19990612-1) unstable; urgency=low

  * new upstream version from CVS

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 12 Jun 1999 03:30:55 -0400

kdegames (4:1.1.1-19990529-1) unstable; urgency=low

  * new upstream version from CVS
  * New kderules script

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 29 May 1999 22:00:55 -0400

kdegames (4:1.1.1-19990523-1) unstable; urgency=low

  * new upstream version from CVS
  * Includes kderules cleanup and other fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 23 May 1999 05:00:55 -0400 

kdegames (4:1.1.1-19990424-1) unstable; urgency=low

  * new upstream version for KDE 1.1.1

 -- Stephan Kulow <coolo@kde.org>  Sat, 24 Apr 1999 16:53:55 +0200

kdegames (4:1.1-19990306-1) unstable; urgency=low

  * new upstream version out of CVS (many translation updates and some
    security fixes

 -- Stephan Kulow <coolo@kde.org>  Sat,  6 Mar 1999 18:03:04 +0100

kdegames (4:1.1-19990217-1) unstable; urgency=low

  * new upstream version

 -- Stephan Kulow <coolo@kde.org>  Wed, 17 Feb 1999 19:09:41 +0100

kdegames (4:1.1-19990207-2) unstable; urgency=low

  * fixed a bug with the wrong libjpeg version

 -- Stephan Kulow <coolo@kde.org>  Tue,  9 Feb 1999 10:43:43 +0100

kdegames (4:1.1-19990207-1) unstable; urgency=low

  * new upstream version 1.1 and new epoche

 -- Stephan Kulow <coolo@kde.org>  Sun,  7 Feb 1999 12:12:58 +0100

kdegames (2:980710-1.0-1) unstable; urgency=low

  * New upstream release 1.0

 -- Stephan Kulow <coolo@kde.org>  Sun, 12 Jul 1998 19:41:57 +0200

kdegames (2:980419-b4-1) unstable; urgency=low

  * new upstream version Beta4

 -- Stephan Kulow <coolo@kde.org>  Sun, 19 Apr 1998 15:49:10 +0200

kdegames (2:980310-3) frozen; urgency=low

  * removed this ugly dependency on a specific kdebase version
  * new compile cycle with fixed kdelibs. This time from CVS
  * add undocumented man page

 -- Stephan Kulow <coolo@kde.org>  Fri,  3 Apr 1998 17:08:37 +0200

kdegames (2:980310-2) frozen; urgency=low

  * new compile cycle with qt-1.33 and libstc++-2.8

 -- Stephan Kulow <coolo@kde.org>  Tue, 24 Mar 1998 20:28:34 +0100

kdegames (2:980310-1) experimental; urgency=low

  * increased epoche

 -- Stephan Kulow <coolo@kde.org>  Tue, 10 Mar 1998 20:37:20 +0100

kdegames (980310-1) experimental; urgency=low

  * changed README notice
  * New upstream release

 -- Stephan Kulow <coolo@kde.org>  Tue, 10 Mar 1998 20:29:22 +0100

kdegames (980228-1) experimental; urgency=low

  * made bindir to kde_bindir
  * changed bindir to /usr/games
  * changed section to contrib
  * New upstream release

 -- Stephan Kulow <coolo@kde.org>  Sat, 28 Feb 1998 22:36:27 +0100

kdegames (980227-1) experimental; urgency=low

  * fixed rules file
  * changed maintainer field
  * New upstream release

 -- Stephan Kulow <coolo@kde.org>  Sat, 28 Feb 1998 02:03:54 +0100

kdegames (1:Beta2-2.1) experimental; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Fri,  5 Dec 1997 21:18:16 +0100

kdegames (1:Beta2-2) unstable; urgency=low

  * removed virtual package names.

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 30 Nov 1997 17:05:03 +0100

kdegames (1:Beta2-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 23 Nov 1997 18:59:30 +0100

kdegames (1:Beta1.2-2) unstable; urgency=low

  * new compile cycle with bugfixes

 -- Andreas Jellinghaus <aj@debian.org>  Sun,  9 Nov 1997 19:46:23 +0100

kdegames (1:Beta1.2-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Mon, 27 Oct 1997 11:43:21 +0100

kdegames (1:Beta1.1-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Mon, 20 Oct 1997 11:46:00 +0200

kdegames (971019-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Sun, 19 Oct 1997 16:08:30 +0200

kdegames (971013-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Mon, 13 Oct 1997 08:26:28 +0200

kdegames (971009-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Thu,  9 Oct 1997 10:55:21 +0200

kdegames (971008-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Wed,  8 Oct 1997 10:11:29 +0200

kdegames (971006-2) unstable; urgency=low

  * daily recompile of everything.

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Tue,  7 Oct 1997 12:09:00 +0200

kdegames (971006-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Mon,  6 Oct 1997 09:27:43 +0200

kdegames (971005-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Sun,  5 Oct 1997 17:35:44 +0200

kdegames (971003-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Fri,  3 Oct 1997 08:28:31 +0200

kdegames (971002-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Thu,  2 Oct 1997 08:55:37 +0200

kdegames (970930-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Tue, 30 Sep 1997 11:42:58 +0200

kdegames (970929-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Mon, 29 Sep 1997 09:43:07 +0200



=== debian/control ===
Source: kdegames
Section: contrib/games
Priority: extra
Maintainer: Stephan Kulow <coolo@kde.org>
Standards-Version: 2.5.1

Package: kdegames
Architecture: any
Depends: ${shlibs:Depends}
Suggests: kdebase
Description: KDE games collection
 This is a collection of several games written for kde.
 .
 kabalone - Abalone Board Game
 kasteroids - Asteroids
 kblackbox - Logic game
 kmahjongg - Mahjongg
 kmines - Minesweeper
 konquest - Gnu-Lactic Konquest
 kpat - Patience
 kpoker - Poker
 kreversi - Reversi (or Othello) game
 ksame - SameGame
 kshisen - Shisen-Sho
 ksirtet - tetris clone
 ksmiletris - tetris based game
 ksnake - Snake Game
 ksokoban - Sokoban

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# games on the sample debian/rules file for GNU hello by Ian Jackson.

BUILDDIR = ./build

build: $(BUILDDIR)/build-stamp

$(BUILDDIR)/build-stamp:
	dh_testdir
	if test ! -f configure; then \
	  $(MAKE) -f admin/Makefile.common ;\
	fi 
	test -d $(BUILDDIR) || mkdir $(BUILDDIR) ;\
	cp -R po $(BUILDDIR) ;\
	cd $(BUILDDIR) ;\
	CXXFLAGS="-g -O2 -Wall" \
	  ../configure --with-install-root=`pwd`/../debian/tmp --prefix=/usr \
	  --disable-rpath --bindir=$${kde_bindir} --with-qt-dir=/usr/lib/qt1g
	
	make -C $(BUILDDIR)
 
	touch $(BUILDDIR)/build-stamp

clean: debian-clean
	-rm -rf $(BUILDDIR)
	-rm -f debian/files
	-rm -f debian/menu
	-rm -f debian/substvars
	-rm -f configure
	dh_clean

debian-clean:
	dh_testdir
	-rm -f $(BUILDDIR)/build-stamp

binary-indep:	build
	dh_testroot
	dh_testdir
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	make -C $(BUILDDIR) bindir=`pwd`/debian/tmp/usr/games install
	cp kasteroids/sprites/bits/b* debian/tmp/usr/share/apps/kasteroids/sprites/bits/
	cp kasteroids/sprites/missile/m* debian/tmp/usr/share/apps/kasteroids/sprites/missile/
	cp kasteroids/sprites/rock1/r* debian/tmp/usr/share/apps/kasteroids/sprites/rock1/
	cp kasteroids/sprites/rock2/r* debian/tmp/usr/share/apps/kasteroids/sprites/rock2/
	cp kasteroids/sprites/rock3/r* debian/tmp/usr/share/apps/kasteroids/sprites/rock3/
	cp kasteroids/sprites/ship/s* debian/tmp/usr/share/apps/kasteroids/sprites/ship/
	perl -w admin/debianrules
	dh_movefiles
	dh_undocumented 
	dh_installdocs
	dh_installmenu
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	perl -w admin/debianrules update
	dh_builddeb            

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
